%define section   free
%define werkz_version   1.0

Name:           werkz
Version:        %{werkz_version}
Release:        0.b10.1jpp
Epoch:          0
Summary:        Goal-oriented process framework

Group:          Development/Libraries/Java
License:        Open Source
URL:            http://werkz.codehaus.org/
Source0:        werkz-1.0-beta-10.tar.gz
# cvs -d:pserver:anonymous@cvs.codehaus.org:/scm/cvspublic login
# cvs -z3 -d:pserver:anonymous@cvs.codehaus.org:/scm/cvspublic export -r WERKZ_1_0_BETA_10 werkz
Source1:        werkz-build.xml
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Distribution:   JPackage
Vendor:         JPackage Project

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.5.32
BuildRequires:  ant >= 0:1.5.4, ant-optional >= 0:1.5.4, junit >= 0:3.8.1
BuildRequires:  jakarta-commons-logging >= 0:1.0.3
BuildRequires:  jakarta-commons-jelly >= 0:1.0
BuildRequires:  jakarta-commons-jelly-tags-ant >= 0:1.0
Requires:  jakarta-commons-logging >= 0:1.0.3
Requires:  jakarta-commons-jelly >= 0:1.0
Requires:  jakarta-commons-jelly-tags-ant >= 0:1.0

%description
Werkz is a light-weight goal-oriented process framework.
Certain tasks, such as organizing the build-chain of a 
complex development project, can be easily modelled as a
graph of goals.  werkz is a framework that allows modelling 
of a complex graph of goals and an engine that efficiently 
and correctly attempts to satisfy requests. 
As an abstract framework, werkz imposes no particular domain
semantics or execution model. It simply manages the 
dependencies between goals and invokes application-specific 
code in the correct order. 

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation
BuildRequires:  jakarta-commons-logging-javadoc >= 0:1.0.3

%description    javadoc
%{summary}.


%prep
%setup -q -n %{name}-%{werkz_version}-beta-10
mv build.xml build.xml.orig
cp %{SOURCE1} build.xml

%build
export CLASSPATH=$(build-classpath \
jakarta-commons-logging \
jakarta-commons-jelly \
jakarta-commons-jelly-tags-ant \
junit)
CLASSPATH=target/classes:target/test-classes:$CLASSPATH
ant -Dbuild.sysclasspath=only dist


%install
rm -rf $RPM_BUILD_ROOT
install -Dpm 644 dist/%{name}-%{werkz_version}-beta-10.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink


%clean
rm -rf $RPM_BUILD_ROOT


%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}


%files
%defattr(-,root,root,-)
%doc LICENSE.txt
%{_javadir}/*.jar

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}


%changelog
* Fri Feb 13 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.b10.1jpp
- Go to a defined beta release

* Tue Jan 27 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.20040126dev.1jpp
- First JPackage release
